Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_PortableServer_ORBInitializer Class Reference

PortableServer ORB initializer. More...

`#include <PortableServer_ORBInitializer.h>`

Inheritance diagram for TAO_PortableServer_ORBInitializer:

[legend]
Collaboration diagram for TAO_PortableServer_ORBInitializer:

[legend]
List of all members.

## Public Methods
PortableInterceptor::ORBInitializer methods
The following methods are required by the PortableInterceptor::ORBInitializer interface.
void | pre_init (PortableInterceptor::ORBInitInfo_ptr info ACE_ENV_ARG_DECL) throw (CORBA::SystemException)
void | post_init (PortableInterceptor::ORBInitInfo_ptr info ACE_ENV_ARG_DECL) throw (CORBA::SystemException)
## Private Methods
void | register_policy_factories (PortableInterceptor::ORBInitInfo_ptr info ACE_ENV_ARG_DECL)
| Register PortableServer policy factories. More...
void | register_poa_current (PortableInterceptor::ORBInitInfo_ptr info ACE_ENV_ARG_DECL)
| Register POA Current. More...

## Detailed Description

PortableServer ORB initializer.

## Member Function Documentation

void TAO_PortableServer_ORBInitializer::post_init | ( | PortableInterceptor::ORBInitInfo_ptr info | ACE_ENV_ARG_DECL | ) | throw (CORBA::SystemException)`[virtual]`

| Reimplemented from PortableInterceptor::ORBInitializer.

void TAO_PortableServer_ORBInitializer::pre_init | ( | PortableInterceptor::ORBInitInfo_ptr info | ACE_ENV_ARG_DECL | ) | throw (CORBA::SystemException)`[virtual]`

| Reimplemented from PortableInterceptor::ORBInitializer.

void TAO_PortableServer_ORBInitializer::register_poa_current | ( | PortableInterceptor::ORBInitInfo_ptr info | ACE_ENV_ARG_DECL | ) | `[private]`

| Register POA Current.

void TAO_PortableServer_ORBInitializer::register_policy_factories | ( | PortableInterceptor::ORBInitInfo_ptr info | ACE_ENV_ARG_DECL | ) | `[private]`

| Register PortableServer policy factories.

The documentation for this class was generated from the following files:

- PortableServer_ORBInitializer.h
- PortableServer_ORBInitializer.cpp